### File

`packages/components/eui-table-v2/selectable-header/eui-table-v2-selectable-header.component.ts`

### Description

Component used internally by `eui-table-v2` to add a 'select all' checkbox in the header of the table.

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `tr[isHeaderSelectable]`
imports | `EUI_INPUT_CHECKBOX`
templateUrl | `./eui-table-v2-selectable-header.component.html`

### Index

###### Properties
Public isChecked Public isCheckedIndeterminate
###### Methods
Public toggleCheckedState
###### Inputs
isHeaderSelectable
###### Accessors
ariaLabel

### Inputs

isHeaderSelectable
Type : `boolean`
Default value : `true`
Whether select all features are available in the header.

### Methods

Public toggleCheckedState
`toggleCheckedState(e: Event)`
Handle the change of the selected status. Parameters :
Name | Type | Optional | Description
e | `Event` | No | Change Event
Returns : `void`

### Properties

Public isChecked
Default value : `false`

Public isCheckedIndeterminate
Default value : `false`

### Accessors

ariaLabel
get `ariaLabel()`
Gets the `aria-label` attribute for the checkbox element. Returns : `string`

# results matching ""

# No results matching ""